import React from 'react'
import { CompletarCadastroButton } from '../TabPanels/UserPageTabs/PanelSolicitarContaProfessor.js'
import FormInput from "../FormInput.js"
import styled from 'styled-components'

export default function Default(props) {
    return (
        <div style={{ overflow: "hidden", display: "inline-block" }}>
            <Title contrast={props.contrast}>Vamos encontrar a sua conta</Title>
            <form onSubmit={(e) => { e.preventDefault(); props.onSubmit(e); }}>
                <FormInput
                    contrast={props.contrast}
                    inputType={"text"}
                    name={"email"}
                    value={props.value}
                    placeholder={"E-mail"}
                    handleChange={e => props.handleChange(e)}
                    required={true}
                    error={props.error}
                />
                <div style={{ display: "flex", justifyContent: "center" }}>
                    <CompletarCadastroButton contrast={props.contrast} type="submit" >BUSCAR</CompletarCadastroButton>
                </div>
            </form>
        </div>
    )
}

const Title = styled.h2`
    color: ${props => props.contrast === "" ? "" : "white"};
    font-size: 32px;
    font-weight: 200;
    margin-bottom: 20px;
`
